Bug 517815 - [si_LK] moving to m17n-contrib-sinhala to sub-package
Summary: [si_LK] moving to m17n-contrib-sinhala to sub-package
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: m17n-contrib
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-17 10:43 UTC by Danishka Navin
Modified: 2009-08-28 05:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-28 05:29:52 UTC


Attachments (Terms of Use)

Description Danishka Navin 2009-08-17 10:43:14 UTC
Description of problem:

Right now si-trans.mim, si-phonetic-dynamic.mim and si-phonetic-static.mim install by default. 

si-trans.mim, si-phonetic-dynamic.mim and si-phonetic-static.mim  are not popular among Sinhala community.


Having 7 input engines are not convenient for end users.

So, I propose that, @sinhala-support should install only wijesekara and iBus-Sinhala.

If any one need other packages allow them to install them separately.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. yum groupinstall sinhala-support
2. open im-chooser
3. check available input-engines under Sinhala
  
Actual results:

 7 input-engines available

Expected results:

only nee Wijesekara and iBus-sayura

Additional info:

If this add to comp file as a update for F11, it will comes with latest spins/remixes use Fedora+update repos

Comment 1 Harshula Jayasuriya 2009-08-18 04:50:49 UTC
Hi,

1) The Wijesekera keyboard layout is the only SL national standard keyboard layout as defined in SLS1134:2004.

2) Creating arbitrary boundaries is *not* a good approach. e.g. The layout Danishka uses and the layout(s) I use are different. If you want to reduce the number of Sinhala keyboard layouts installed by default, install only the *official* layout by default.

3) I would expect most users to pick the one that is familiar to them. If new to all the layouts, they would then try a few and pick the one they like and select that in ibus-setup.

4) During the transition from SCIM to IBus, some features supported by m17n such as surrounding text support is not implemented yet. I suspect Danishka is concerned that some layouts will not work correctly. However, what I described in (3) should resolve that issue.

cya,
#

Comment 2 Parag Nemade 2009-08-28 05:29:52 UTC
After analyzing further, I think it will be good if we will not create any
subpackage as requested in this bug. Every language have default input method
and some other input methods. Subpackaging here mean all other languages should
also need similar kind of packaging and it creates confusion why so many
packages for installing all input methods(in case anyone needs all).

Wijesekera is already appearing as default input method. 

After subpackaging to get all Sinhala keymaps one need to install 3 packages.

If default keymap is already being selected as default for any language and one
can type in that default keymap then I see no usecase of subpackaging here.

when you select sinhala-support, you are already getting ibus-sayura and
wijesekera-preedit.mim


Note You need to log in before you can comment on or make changes to this bug.